Ticket #41674

Automatically try also moc named 'moc-qt5'/'moc-qt6'

Open Date: 2021-03-02 04:49 Last Update: 2021-03-30 10:03

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

We already support moc-qt5/moc-qt6 when user gives it as MOCCMD, but there's no attempt to find moc by that name if user has not given it. Earlier we've seen such naming only in cygwin, but now I've encountered it also in Manjaro linux while testing Qt6 support there, and it would make things much easier if it was automatically detected.

This ticket is followed by INSTALL.Cygwin update ticket: #41676

Ticket History (3/9 Histories)

2021-03-02 04:49 Updated by: cazfi
  • New Ticket "Automatically try also moc named 'moc-qt5'/'moc-qt6" created
2021-03-02 05:12 Updated by: cazfi
  • Summary Updated
2021-03-02 07:00 Updated by: cazfi
Comment

Not sure about the S3_1 implementation yet. It probably waits that Qt6 bootstrap gets pushed there too first, and then it can use the patch currently labeled for master only.

2021-03-02 07:00 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-03-02 07:06 Updated by: cazfi
  • Details Updated
2021-03-04 14:57 Updated by: cazfi
Comment

Pushed to branches other than S3_1 (which is waiting for the Qt6 bootstrap patch first)

2021-03-30 10:03 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login